### Constructor

# Gtk.SingleSelection.new

#### Declaration [src]

    GtkSingleSelection*
    gtk_single_selection_new (
      GListModel* model
    )

#### Description [src]

Creates a new selection to handle `model`.

#### Parameters

`model` | `GListModel*`
| the `GListModel` to manage, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkSingleSelection`
a new `GtkSingleSelection`
Ownership of the data is transferred to the caller